Open SCAP Library

Data Structures | Macros | Functions
isainfo.c File Reference

isainfo probe More...

`#include "probe-api.h"`
`#include "alloc.h"`
`#include <stdlib.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include <stdio_ext.h>`
`#include <errno.h>`
`#include <dirent.h>`
`#include <fcntl.h>`
`#include <netdb.h>`
`#include <arpa/inet.h>`
`#include <regex.h>`
`#include <sys/systeminfo.h>`
`#include "../../../../common/debug_priv.h"`

## Data Structures
struct | result_info

## Macros
#define | MAX_STR_RESULT 257

## Functions
int | read_sysinfo (probe_ctx *ctx)
int | probe_main (probe_ctx *ctx, void *probe_arg)

## Detailed Description

isainfo probe

Author
  "Ryan E Haggerty" <rhagg.nosp@m.erty.nosp@m.@tres.nosp@m.ys.c.nosp@m.om

2011/05/06 rhagg.nosp@m.erty.nosp@m.@tres.nosp@m.ys.c.nosp@m.om

This probe relates to the instruction set architecture of a system and returns the following: *isainfo_object Due to its very nature, a system has exactly one item that can be returned, therefore there are no attributes to define in the object declaration.